=== src/kml/dom/CMakeLists.txt ===
file(GLOB SRCS "*.cc" )
file(GLOB INCS "${CMAKE_CURRENT_SOURCE_DIR}/*.h")

build_target(
  NAME kmldom
  SRCS ${SRCS}
  INCS ${INCS}  
  DEPENDS kmlbase)
