## libkml 1.3.0~r863

=== debian/changelog ===
libkml (1.3.0~r863-3) unstable; urgency=low

  * Added swig patch to remove a wrong swig version test.
    (closes: #634528)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 Jul 2011 11:07:30 +0200

libkml (1.3.0~r863-2) unstable; urgency=low

  * New patch geometry_test.diff to remove another failing test.
    (closes: #626259)
  * Policy bumped to 3.9.2, no changes needed.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 08 Jun 2011 11:19:48 +0200

libkml (1.3.0~r863-1) unstable; urgency=low

  * New upstream snapshot for 1.3 series, as taken from svn.
  * Patchset updated for current release.
  * New patch feature_view_test.diff to remove a failing test.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 29 Mar 2011 16:41:45 +0200

libkml (1.2.0-2) unstable; urgency=low

  * Moved to git repository and changed Vcs-* fields in debian/control.
  * Changed to debian source 3.0.
  * Debhelper level set to 8.
  * Wrapped debian/changelog to 80 chars.
  * New patch ld-as-needed.diff: it fixes FTBS when --as-needed is used at 
    linking time.
    (closes: #605889)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 24 Mar 2011 21:17:35 +0100

libkml (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Updated automake.diff and reautoconfiscated patches to reflect changes
    in building scripts. Note that boost is still embedded with old 
    version 1.34.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 25 Jun 2010 11:42:15 +0200

libkml (1.1.0-1) unstable; urgency=low

  * New upstream release:
      o In-memory KMZ read support.
      o Initial Google Maps Data API support.
      o Various security fixes, particularly in the underlying Zip library.
  * Patches refreshed: reautoconfiscated.diff and automake.diff.
  * NMU ack: incorporate patch from Jakub Wilk to enable building with Python 2.6. 
    (closes: #557288)
  * Added original copyright from zlib to debian/copyright as originally asked
    by ftpmasters.
  * Added kfreebsd.diff top patch to manage GNU/kFreeBSD flavor.
    (closes: #558208)
  * Fixed patch ordering.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 10 Dec 2009 17:30:39 +0100

libkml (1.0.1-3) unstable; urgency=high

  * Added clone.diff patch to use __clone2() instead of clone() on ia64.
    This patch solves a FTBS on ia64.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 27 Oct 2009 12:24:40 +0100

libkml (1.0.1-2) unstable; urgency=low

  * Added python version overriding at build/installation time.
    (closes: #550310)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 13 Oct 2009 14:04:45 +0200

libkml (1.0.1-1) unstable; urgency=low

  * Initial release.
    (closes: #548720)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 29 Sep 2009 11:15:17 +0200
