=== debian/control ===
Source: libkml
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: cdbs, debhelper (>= 8), autotools-dev, libexpat1-dev, zlib1g-dev, default-jdk,
 python-dev, python-all-dev, liburiparser-dev (>= 0.7.1), chrpath,
 libcurl4-openssl-dev, swig, python-central
XS-Python-Version: >= 2.5
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/libkml/
Vcs-Git: git://git.debian.org/git/pkg-grass/libkml.git
Vcs-Browser: http://git.debian.org/?p=pkg-grass/libkml.git

Package: libkml0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A library to manipulate KML 2.2 OGC standard files
 This is a library for use with applications that want to parse,        
 generate and operate on KML, a geo-data XML variant. It is an          
 implementation of the OGC KML 2.2 standard. It is written in C++ and   
 bindings are available via SWIG to Java and Python.                    
 .
 This package contains the basic shared libraries for applications 
 that use the KML format.

Package: libkml-dev
Architecture: any
Section: libdevel
Depends: libkml0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: A library to manipulate KML 2.2 OGC standard files - development files
 This is a library for use with applications that want to parse,        
 generate and operate on KML, a geo-data XML variant. It is an          
 implementation of the OGC KML 2.2 standard. It is written in C++ and   
 bindings are available via SWIG to Java and Python.                    
 .
 This package contains files required to build C/C++ programs which use
 the KML library.

Package: libkml-java
Architecture: any
Section: java
Depends: libkml0 (= ${binary:Version}), default-jre, ${shlibs:Depends}, ${misc:Depends}
Description: A library to manipulate KML 2.2 OGC standard files - Java package
 This is a library for use with applications that want to parse,        
 generate and operate on KML, a geo-data XML variant. It is an          
 implementation of the OGC KML 2.2 standard. It is written in C++ and   
 bindings are available via SWIG to Java and Python.                    
 .
 This package contains the required packages for Java applications.

Package: python-kml
Architecture: any
Section: python
Depends: libkml0 (= ${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: A library to manipulate KML 2.2 OGC standard files - Python extension
 This is a library for use with applications that want to parse,        
 generate and operate on KML, a geo-data XML variant. It is an          
 implementation of the OGC KML 2.2 standard. It is written in C++ and   
 bindings are available via SWIG to Java and Python.                    
 .
 This package contains required extensions for Python applications.
