## libkml 1.3.0~r864

=== debian/changelog ===
libkml (1.3.0~r864-2) unstable; urgency=low

  * No Multi-Arch: same for java package, jar contains SWIG generated code.
    (closes: #728785)
  * Change Priority to optional.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 10 Nov 2013 01:40:38 +0100

libkml (1.3.0~r864-1) unstable; urgency=low

  * Merge upstream commit r864:
    Allow colors to have leading whitespace, with or without '#'.
  * Add myself to Uploaders.
  * Update swig.diff to also disable the SWIG version check in configure.ac.
    Thanks Ilya Barygin for the patch.
  * Update ld-as-needed.diff to fix FTBFS with --as-needed.
    Thanks Ilya Barygin for the patch.
    (closes: #692055)
  * Add hurd.diff to fix FTBFS on hurd-i386.
    Thanks Pino Toscano for the patch.
    (closes: #671894)
  * Refresh patches.
  * Use canonical URLs for Vcs-* fields.
  * Don't start short description with an article.
  * Drop XB-Python-Version from control file.
  * Add a watch file.
  * Add patch to fix executable-not-elf-or-script for java run.sh example.
  * Add lintian override for no fortify functions false positive.
  * Drop needless dependency on default-jre for libkml-java.
  * Move .so symlinks from java packages to libkml-dev.
  * Update copyright file using copyright-format 1.0.
  * Add lintian override for source-contains-prebuilt-windows-binary.
  * Use minimal dh rules, handle Multi-Arch paths.
  * Use dh-autoreconf for retooling.
  * Add patch to set subdir-objects automake option for forward compatibility.
  * Add patch to fix linking libtool libraries using a non-POSIX archiver.
  * Add patch to not build examples, msvc and xcode subprojects.
  * Add lintian override for incompatible-java-bytecode-format.
  * Add patch headers for all patches.
  * Bump Standards-Version to 3.9.4, changes: Vcs-* fields, copyright,
    minimal dh rules.
  * Build depend on libcurl4-gnutls-dev instead of libcurl4-openssl-dev.
  * Also install libminizip headers.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 05 Oct 2013 21:15:09 +0200

libkml (1.3.0~r863-4.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Apr 2012 07:59:06 +0200

libkml (1.3.0~r863-4) unstable; urgency=low

  * Added liburiparser-dev to libkml-dev.
  * Moved to dh_python2 instead of python-central.
  * Policy bumped to 3.9.3, no changes required.
  * Debhelper level set to 9.
  * Refreshed reautoconfiscated.diff to remove a backup file. Thanks doko.
    (closes: #650525)
  * The ld-as-needed case has been already managed.
    (closes: #641681)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 14 Mar 2012 13:29:51 +0100
