=== debian/watch ===
version=3

# official tarball releases
#
#opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
#https://code.google.com/p/libkml/downloads/list?can=1 \
#(?:.*/)?(?:rel|v|libkml)[\-\_](\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# subversion revisions
#
opts="dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/^\d+$/1.3.0~r$&/" \
https://code.google.com/p/libkml/source/list \
(?:.*/)?detail\?r=(\d+)
