## libkml 1.3.0~r864+dfsg

=== debian/changelog ===
libkml (1.3.0~r864+dfsg-1) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes required.
  * Repack upstream tarball removing the IETF RFCs included by thirdparty
    uriparser documentation.
    (closes: #745403)
  * Add gbp.conf to use pristine-tar by default.
  * Enable parallel builds.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 22 Apr 2014 15:31:54 +0200
