=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libcurl4-gnutls-dev,
                swig,
                dh-autoreconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/libkml.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/libkml.git
 Homepage: http://code.google.com/p/libkml/
