=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --with autoreconf,python2
+	dh $@ --with autoreconf,python2 --parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
@@ -43,3 +43,6 @@
 override_dh_python:
 	dh_python2 -ppython-kml
 
+get-orig-source:
+	. debian/get-orig-source
+
