## libkml 1.3.0~rc0

=== debian/changelog ===
libkml (1.3.0~rc0-3) unstable; urgency=medium

  * Add required build dependencies to libkml-dev dependencies:
    libboost-dev, libexpat1-dev & zlib1g-dev in addition to
    libminizip-dev & liburiparser-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Aug 2015 16:17:37 +0200

libkml (1.3.0~rc0-2) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Aug 2015 13:12:41 +0200

libkml (1.3.0~rc0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 18 Aug 2015 14:27:03 +0200

libkml (1.3.0~rc0-1~exp2) experimental; urgency=medium

  * Update symbols for other architectures.
  * Use uscan instead of custom script in get-orig-source target.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Aug 2015 13:57:01 +0200

libkml (1.3.0~rc0-1~exp1) experimental; urgency=medium

  * Update watch file to support pre-releases.
  * New upstream release candidate.
  * Drop patches, applied upstream.
  * Update symbols for amd64.
  * Add patch to fix pkgconfig install path.
  * Include libkml.pc in libkml-dev.
  * Add patch to fix SWIG Java library install path.
  * Include SWIG Java libraries in libkml-java.
  * Add patch to install the SWIG Java libraries in a JNI specific path.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Aug 2015 17:42:39 +0200

libkml (1.3.0~r864+git20150726-3f3f37f-1~exp3) experimental; urgency=medium

  * Update symbols for other architectures.
  * Replace uppercase RC with lowercase rc in uversionmangle.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Jul 2015 18:38:02 +0200

libkml (1.3.0~r864+git20150726-3f3f37f-1~exp2) experimental; urgency=medium

  * Don't excluded python-kml from dh_makeshlibs.
  * Fix python-kml shlibs dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jul 2015 01:22:53 +0200

libkml (1.3.0~r864+git20150726-3f3f37f-1~exp1) experimental; urgency=medium

  * New upstream git snapshot.
    - Re-enable swig bindings
  * Drop patches applied upstream.
  * Add path to fix Python library installation path.
  * Update symbols for amd64 with GCC 5.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jul 2015 00:06:36 +0200

libkml (1.3.0~r864+git20150723-0fa2f22-1~exp2) experimental; urgency=medium

  * Update install-paths.patch with upstream changes to fix header installation.
  * Don't include build files for examples.
  * Install docs in all packages.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Jul 2015 01:33:34 +0200

libkml (1.3.0~r864+git20150723-0fa2f22-1~exp1) experimental; urgency=medium

  * Add libcurl-ssl-dev as alternative for libcurl-gnutls-dev build dependency.
  * Change upstream from google to libkml on GitHub.
  * New upstream git snapshot.
  * Drop Files-Excluded from copyright & repacksuffix from watch file,
    third party sources no longer included.
  * Switch build system from autotools to cmake.
  * Drop automake related patches, refresh remaining patch.
  * Add patch to fix FTBFS due to ; separated compiler flags.
  * Add patch to fix SOVERSION from MAJOR.MINOR to MARJOR.
  * Rename library package to incorporate SONAME bump.
  * Add patch to support Multi-Arch library install path.
  * Update docs for README.md rename.
  * Update copyright file, drop removed third party license & copyright.
  * Drop libkml-java & python-kml packages, swig bindings no longer build.
  * Split libkml into separate packages per library,
    add symbols files with pkgkde-symbolshelper.
  * Add explicit build dependencies on GCC 5.2.
  * Update symbols for amd64 with GCC 5.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Jul 2015 21:27:26 +0200

libkml (1.3.0~r864+git20131113-9b50572+dfsg1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 11:24:49 +0200

libkml (1.3.0~r864+git20131113-9b50572+dfsg1-1~exp1) experimental; urgency=medium

  * Switch upstream source from code.google.com to GitHub.
  * Merge changes from upstream git repository.
  * Update copyright file, changes:
    - Replace third_party/googletest-r108 with third_party/gtest-1.7.0
    - Drop config/ltmain.sh, removed upstream
    - Group Boost copyright statements by license
    - Group zlib copyright statments by license
    - Use GPL-{2,3}+ instead of SPDX short name with .0.
  * Update patches for upstream changes.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Bump Standards-Version to 3.9.6, no changes.
  * Add dh-python to build dependencies.
  * Also exclude useless prebuilt Windows binaries from upstream source.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Mar 2015 01:42:43 +0100
