=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME = /usr/lib/jvm/default-java

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

%:
	dh $@ --with python2,pkgkde_symbolshelper --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DBUILD_TESTING=OFF \
		-DBUILD_EXAMPLES=OFF \
		-DINSTALL_EXAMPLES=OFF \
		-DWITH_SWIG=ON \
		-DWITH_PYTHON=ON \
		-DWITH_JAVA=ON \

override_dh_auto_install:
	dh_auto_install

	# Remove autotools stuff
	find $(CURDIR)/examples/ -type f -name "Makefile*" -or -name "CMakeLists.txt" -delete

override_dh_install:
	dh_install --autodest --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

override_dh_python:
	dh_python2 -ppython-kml

get-orig-source:
	uscan --verbose --force-download
